Get surface
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/surfaces/inbound/http.go`.
/v1/surfaces/{id}Requires an authenticated tenant principal. Generated from the production route registered in internal/features/surfaces/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/surfaces/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "revision": 2, "catalog_version": "1.1.0", "catalog_digest": "string", "spec": {}, "queries": [ { "query_id": "q_9f2c1ab40e57", "table": "orders", "columns": [ "string" ], "calculation": { "definition": { "version": 1, "source": { "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "table_id": "string", "table": "string" }, "metric": { "op": "count", "column": "string" }, "population": [ { "column": "string", "op": "eq", "value": "string", "values": [ "string" ] } ], "group_by": { "column": "string", "transform": "identity" }, "rank": { "direction": "asc" }, "target": "string", "output_columns": [ { "name": "group_value", "meaning": "string" } ], "literal_text": { "property1": "string", "property2": "string" } }, "execution": { "executed_at": "2019-08-24T14:15:22Z", "population_size": 0, "excluded_null_group_rows": 0, "target_outcome": "not_requested" } } } ], "capture": { "property1": { "rows": [ [ null ] ], "row_count": 0, "total_rows": 0, "truncated": true, "columns": [ "string" ], "calculation": { "definition": { "version": 1, "source": { "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "table_id": "string", "table": "string" }, "metric": { "op": "count", "column": "string" }, "population": [ { "column": "string", "op": "eq", "value": "string", "values": [ "string" ] } ], "group_by": { "column": "string", "transform": "identity" }, "rank": { "direction": "asc" }, "target": "string", "output_columns": [ { "name": "group_value", "meaning": "string" } ], "literal_text": { "property1": "string", "property2": "string" } }, "execution": { "executed_at": "2019-08-24T14:15:22Z", "population_size": 0, "excluded_null_group_rows": 0, "target_outcome": "not_requested" } } }, "property2": { "rows": [ [ null ] ], "row_count": 0, "total_rows": 0, "truncated": true, "columns": [ "string" ], "calculation": { "definition": { "version": 1, "source": { "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "table_id": "string", "table": "string" }, "metric": { "op": "count", "column": "string" }, "population": [ { "column": "string", "op": "eq", "value": "string", "values": [ "string" ] } ], "group_by": { "column": "string", "transform": "identity" }, "rank": { "direction": "asc" }, "target": "string", "output_columns": [ { "name": "group_value", "meaning": "string" } ], "literal_text": { "property1": "string", "property2": "string" } }, "execution": { "executed_at": "2019-08-24T14:15:22Z", "population_size": 0, "excluded_null_group_rows": 0, "target_outcome": "not_requested" } } } }, "refresh": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "state": "queued", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z", "problems": [ { "query_id": "q_9f2c1ab40e57", "message": "the dataset is no longer readable by you; ask its owner to share it again" } ], "notices": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z"}Delete personal skill
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/skills/inbound/http_user.go`.
Refresh surface
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/surfaces/inbound/http.go`.